- Home
- API Enriched
- Network
- config
- Replace BGP.
Replace BGP.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/bgps/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"bgp_parameters":{"asn":1,"from_site":{},"ip_address":"example","local_address":{}},"peers":[{"bfd_disabled":{},"bfd_enabled":{"multiplier":1,"receive_interval_milliseconds":1,"transmit_interval_milliseconds":1},"disable":{},"external":{"address":"example","address_ipv6":"example","asn":1,"default_gateway":{},"default_gateway_v6":{},"disable":{},"disable_v6":{},"external_connector":{},"family_inet":{"disable":{},"enable":{}},"from_site":{},"from_site_v6":{},"interface":{"name":"example","namespace":"example"},"interface_list":{"interfaces":[{"name":"example","namespace":"example"}]},"md5_auth_key":"example","no_authentication":{},"port":1,"subnet_begin_offset":1,"subnet_begin_offset_v6":1,"subnet_end_offset":1,"subnet_end_offset_v6":1},"label":"example","metadata":{"description":"example","name":"example"},"passive_mode_disabled":{},"passive_mode_enabled":{},"routing_policies":{"route_policy":[{"all_nodes":{},"inbound":{},"node_name":{"node":["example"]},"object_refs":[{"name":"example","namespace":"example"}],"outbound":{}}]}}],"where":{"site":{"disable_internet_vip":{},"enable_internet_vip":{},"network_type":"VIRTUAL_NETWORK_SITE_LOCAL","ref":[{"name":"example","namespace":"example"}]},"virtual_site":{"disable_internet_vip":{},"enable_internet_vip":{},"network_type":"VIRTUAL_NETWORK_SITE_LOCAL","ref":[{"name":"example","namespace":"example"}]}}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/bgps/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "bgp_parameters": { "asn": 1, "from_site": {}, "ip_address": "example", "local_address": {} }, "peers": [ { "bfd_disabled": {}, "bfd_enabled": { "multiplier": 1, "receive_interval_milliseconds": 1, "transmit_interval_milliseconds": 1 }, "disable": {}, "external": { "address": "example", "address_ipv6": "example", "asn": 1, "default_gateway": {}, "default_gateway_v6": {}, "disable": {}, "disable_v6": {}, "external_connector": {}, "family_inet": { "disable": {}, "enable": {} }, "from_site": {}, "from_site_v6": {}, "interface": { "name": "example", "namespace": "example" }, "interface_list": { "interfaces": [ { "name": "example", "namespace": "example" } ] }, "md5_auth_key": "example", "no_authentication": {}, "port": 1, "subnet_begin_offset": 1, "subnet_begin_offset_v6": 1, "subnet_end_offset": 1, "subnet_end_offset_v6": 1 }, "label": "example", "metadata": { "description": "example", "name": "example" }, "passive_mode_disabled": {}, "passive_mode_enabled": {}, "routing_policies": { "route_policy": [ { "all_nodes": {}, "inbound": {}, "node_name": { "node": [ "example" ] }, "object_refs": [ { "name": "example", "namespace": "example" } ], "outbound": {} } ] } } ], "where": { "site": { "disable_internet_vip": {}, "enable_internet_vip": {}, "network_type": "VIRTUAL_NETWORK_SITE_LOCAL", "ref": [ { "name": "example", "namespace": "example" } ] }, "virtual_site": { "disable_internet_vip": {}, "enable_internet_vip": {}, "network_type": "VIRTUAL_NETWORK_SITE_LOCAL", "ref": [ { "name": "example", "namespace": "example" } ] } } } }'BGP object is the configuration for peering with external BGP servers. Replace BGP will replace the contents of given BGP object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
object
Autonomous System Number Required: YES.
object
Exclusive with [from_site local_address] Use the configured IPv4 Address as Router ID.
object
List of peers
Required: YES.
BGP Peer parameters.
object
object
object
Specify Number of missed packets to bring session down” Required: YES.
BFD receive interval timer, in milliseconds Required: YES.
BFD transmit interval timer, in milliseconds Required: YES.
object
object
Exclusive with [default_gateway disable external_connector from_site subnet_begin_offset subnet_end_offset] Specify IPv4 peer address.
Exclusive with [default_gateway_v6 disable_v6 from_site_v6 subnet_begin_offset_v6 subnet_end_offset_v6] Specify peer IPv6 address.
Autonomous System Number for BGP peer Required: YES.
object
object
object
object
object
object
object
object
object
object
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
List of network interfaces.
Required: YES.
This type establishes a direct reference from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Exclusive with [no_authentication] MD5 key for protecting BGP Sessions (RFC 2385)
object
Peer TCP port number.
Exclusive with [address default_gateway disable external_connector from_site subnet_end_offset] Calculate peer address using offset from the beginning of the subnet.
Exclusive with [address_ipv6 default_gateway_v6 disable_v6 from_site_v6 subnet_end_offset_v6] Calculate peer address using offset from the beginning of the subnet.
Exclusive with [address default_gateway disable external_connector from_site subnet_begin_offset] Calculate peer address using offset from the end of the subnet.
Exclusive with [address_ipv6 default_gateway_v6 disable_v6 from_site_v6 subnet_begin_offset_v6] Calculate peer address using offset from the end of the subnet.
Specify whether this peer should be.
object
Human readable description.
This is the name of the message. The value of name has to follow DNS-1035 format. Required: YES.
object
object
object
Route policy to be applied.
List of filter rules which can be applied on all or particular nodes.
object
object
object
object
Select BGP Session on which policy will be applied.
Select route policy to apply.
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
object
object
object
object
A site direct reference
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
object
object
object
A virtual_site direct reference
Required: YES.
This type establishes a ‘direct reference’ from one object(the referrer) to another(the referred). Such a reference is in form of tenant/namespace/name for public API and Uid for private API This type of reference is called direct because the relation is explicit and concrete (as opposed to selector reference which builds a group based on labels of selectee objects)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then kind will hold the referred object’s kind (e.g. “route”)
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then uid will hold the referred object’s(e.g. Route’s) uid.
Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example